MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032153Open CASCADE[OCCT] OCCT:Visualizationpublic2021-02-21 20:542021-02-27 12:26
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032153: Visualization, Graphic3d_ArrayOfPrimitives - share common allocator
DescriptionGraphic3d_ArrayOfPrimitives constructor creates dedicated allocator object for each primitive array, but practically it could be shared.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0099086)
git (administrator)
2021-02-21 20:55

Branch CR32153 has been created by kgv.

SHA-1: b84691f30934ac7b189ae83936137a35879e2feb


Detailed log of new commits:

Author: kgv
Date: Sun Feb 21 20:55:35 2021 +0300

    0032153: Visualization, Graphic3d_ArrayOfPrimitives - share common allocator
    
    Added method Graphic3d_Buffer::DefaultAllocator(), which is now used across code.
(0099087)
git (administrator)
2021-02-22 09:59

Branch CR32153 has been updated forcibly by kgv.

SHA-1: 79a8c075f28ab7af62937c01f1013369505ca1e9
(0099089)
git (administrator)
2021-02-22 11:47

Branch CR32153 has been updated forcibly by kgv.

SHA-1: 8aa9e5dbc3b22d963307700dd33e8b09870eda6f
(0099090)
kgv (developer)
2021-02-22 12:01

Patch is ready for review
- OCCT: branch CR32153.
(0099092)
git (administrator)
2021-02-22 12:22

Branch CR32153 has been updated forcibly by kgv.

SHA-1: 5264d2d41337fc32d21fbf5c689ddae05b2544ce
(0099093)
git (administrator)
2021-02-22 12:26

Branch CR32153 has been updated forcibly by kgv.

SHA-1: 2d1fc039234a3305c755a346b5bdf90321a17be0
(0099095)
git (administrator)
2021-02-22 18:10

Branch CR32153 has been updated forcibly by kgv.

SHA-1: 31de7598d34a7cf2554cc3b1fd75fa56a35a2b12
(0099104)
osa (developer)
2021-02-24 11:47

The patch was reviewed
(0099196)
bugmaster (administrator)
2021-02-27 11:49

Combination -
OCCT branch : IR-2021-02-26
master SHA - bc0711a5c3c2c9a627834136e10b13a8564c5a00
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-02-26 SHA - 5c3782d3621ca4bd4a2339197c1c5cf352b51ac7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17811.770000000153 / 17875.850000000235 [-0.36%]
Products
Total CPU difference: 11543.6500000001 / 11549.600000000113 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 19344.3125 / 19351.640625 [-0.04%]
Products
Total CPU difference: 12900.578125 / 12845.234375 [+0.43%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0099215)
git (administrator)
2021-02-27 12:26

Branch CR32153 has been deleted by inv.

SHA-1: 31de7598d34a7cf2554cc3b1fd75fa56a35a2b12

- Related Changesets
occt: master 02a2beaa
Timestamp: 2021-02-21 17:55:35
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032153: Visualization, Graphic3d_ArrayOfPrimitives - share common allocator

Added method Graphic3d_Buffer::DefaultAllocator(), which is now used across code.
mod - src/Graphic3d/Graphic3d_ArrayOfPrimitives.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Buffer.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Buffer.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_HatchStyle.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_BackgroundArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_CappingPlaneResource.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameBuffer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_VertexBufferCompat.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePrimitiveArray.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-02-21 20:54 kgv New Issue
2021-02-21 20:54 kgv Assigned To => kgv
2021-02-21 20:55 git Note Added: 0099086
2021-02-22 09:59 git Note Added: 0099087
2021-02-22 11:47 git Note Added: 0099089
2021-02-22 12:01 kgv Note Added: 0099090
2021-02-22 12:01 kgv Assigned To kgv => osa
2021-02-22 12:01 kgv Status new => resolved
2021-02-22 12:22 git Note Added: 0099092
2021-02-22 12:26 git Note Added: 0099093
2021-02-22 18:10 git Note Added: 0099095
2021-02-24 11:47 osa Note Added: 0099104
2021-02-24 11:47 osa Assigned To osa => bugmaster
2021-02-24 11:47 osa Status resolved => reviewed
2021-02-27 11:49 bugmaster Note Added: 0099196
2021-02-27 11:49 bugmaster Status reviewed => tested
2021-02-27 11:52 bugmaster Test case number => Not required
2021-02-27 11:59 bugmaster Changeset attached => occt master 02a2beaa
2021-02-27 11:59 bugmaster Status tested => verified
2021-02-27 11:59 bugmaster Resolution open => fixed
2021-02-27 12:26 git Note Added: 0099215


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker